# Optional
<span class="source-link">[[Source]](src/options/options.md#L74)</span>
```pony
primitive val Optional
```

## Constructors

### create
<span class="source-link">[[Source]](src/options/options.md#L74)</span>


```pony
new val create()
: Optional val^
```

#### Returns

* [Optional](options-Optional.md) val^

---

## Public Functions

### eq
<span class="source-link">[[Source]](src/options/options.md#L76)</span>


```pony
fun box eq(
  that: Optional val)
: Bool val
```
#### Parameters

*   that: [Optional](options-Optional.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

### ne
<span class="source-link">[[Source]](src/options/options.md#L76)</span>


```pony
fun box ne(
  that: Optional val)
: Bool val
```
#### Parameters

*   that: [Optional](options-Optional.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

